Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.PI
Class CurrentImpl

    java.lang.Object
      |
      +--org.omg.CORBA.LocalObject
            |
            +--org.openorb.PI.CurrentImpl

All Implemented Interfaces:
  Current, Current, CurrentOperations, CurrentOperations, IDLEntity, Object, java.io.Serializable

public class CurrentImpl
extends LocalObject
implements Current

Implementation of PICurrent.

Version:
  $Revision: 1.8 $ $Date: 2002/06/28 08:59:04 $
Author:
  Chris Wood
See Also:
  Serialized Form

Method Summary
`ORB` | `_orb()` Replace LocalObject _orb() method for get orb in server/client manager.
`CurrentOperations` | `copy(CurrentOperations from)` Copy a slot table.
`CurrentOperations` | `create()` Create a new slot table for use on server side.
`java.lang.Object` | `get_invocation_ctx()`
`Any` | `get_slot(int id)` Operation get_slot
`CurrentOperations` | `get()` get the current table.
`CurrentOperations` | `remove()` Remove the current table.
`java.lang.Object` | `retrieve_invocation_ctx(java.lang.Object handle, boolean delete)`
`void` | `set_invocation_ctx(java.lang.Object invocation_ctx)`
`void` | `set_slot(int id, Any data)` Operation set_slot
`void` | `set(CurrentOperations value)` Set a previously created or retrieved table.
`void` | `store_invocation_ctx(java.lang.Object handle)`

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Method Detail

### create

    public CurrentOperations create()

  Create a new slot table for use on server side.

### copy

    public CurrentOperations copy(CurrentOperations from)

  Copy a slot table.

### set

    public void set(CurrentOperations value)

  Set a previously created or retrieved table.

### remove

    public CurrentOperations remove()

  Remove the current table.

### get

    public CurrentOperations get()

  get the current table.

### set_slot

    public void set_slot(int id,
                         Any data)
                  throws InvalidSlot

  Description copied from interface: `CurrentOperations`
  Operation set_slot
  Specified by:
    `set_slot` in interface `CurrentOperations`

### get_slot

    public Any get_slot(int id)
                 throws InvalidSlot

  Description copied from interface: `CurrentOperations`
  Operation get_slot
  Specified by:
    `get_slot` in interface `CurrentOperations`

### get_invocation_ctx

    public java.lang.Object get_invocation_ctx()

### set_invocation_ctx

    public void set_invocation_ctx(java.lang.Object invocation_ctx)

### store_invocation_ctx

    public void store_invocation_ctx(java.lang.Object handle)

### retrieve_invocation_ctx

    public java.lang.Object retrieve_invocation_ctx(java.lang.Object handle,
                                                    boolean delete)

### _orb

    public ORB _orb()

  Replace LocalObject _orb() method for get orb in server/client manager.
  Overrides:
    `_orb` in class `LocalObject`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD